Next Previous Contents

## 3.90 kbhit

> Function

>   Check if there's a key waiting in the keyboard buffer.

> Header

>   `conio.h`

> Declaration

>   `unsigned char kbhit (void);`

> Description

>   The function returns a value of zero if there is no character waiting to be read from the keyboard. It returns non zero otherwise.

> Limits

>   - If the system does not support a keyboard buffer (most systems do), the function is rather useless.
> Availability

>   cc65

> See also

>   cgetc, cursor

> Example

>   None.

Next Previous Contents